Subject: Re: [PATCH 0/7] ppc: remove cli()/sti() from arch/ppc/*

From: Jim Nelson <[email-masked]>
Date: Tue, 04 Jan 2005 21:44:06 -0500

Brian Gerst wrote:

> James Nelson wrote:
>
>> This series of patches is to remove the last cli()/sti() function 
>> calls in arch/ppc.
>>
>> These are the only instances in active code that grep could find.
>
>
> Are you sure none of these need real spinlocks instead of just 
> disabling interrupts?
>
> -- 
>                 Brian Gerst
>
These are for single-processor systems, mostly evaluation boards and 
embedded processors.  I coudn't find any reference to multiprocessor 
setups for the processors in question after a peruse of the code or a 
quick google on the boards in question.

Jim